Skip to main content
`Ctrl`+`K`

# slepc4py.SLEPc.MFN.ConvergedReason

class slepc4py.SLEPc.MFN.ConvergedReason

  Bases: `object`

  MFN convergence reasons.

  - `CONVERGED_TOL`: All eigenpairs converged to requested tolerance.

  - `CONVERGED_ITS`: Solver completed the requested number of steps.

  - `DIVERGED_ITS`: Maximum number of iterations exceeded.

  - `DIVERGED_BREAKDOWN`: Generic breakdown in method.

  See also

  `MFNConvergedReason`

  Attributes Summary

  `CONVERGED_ITERATING` | Constant `CONVERGED_ITERATING` of type `int`
  `CONVERGED_ITS` | Constant `CONVERGED_ITS` of type `int`
  `CONVERGED_TOL` | Constant `CONVERGED_TOL` of type `int`
  `DIVERGED_BREAKDOWN` | Constant `DIVERGED_BREAKDOWN` of type `int`
  `DIVERGED_ITS` | Constant `DIVERGED_ITS` of type `int`
  `ITERATING` | Constant `ITERATING` of type `int`

  Attributes Documentation

  CONVERGED_ITERATING: int = CONVERGED_ITERATING

    Constant `CONVERGED_ITERATING` of type `int`

  CONVERGED_ITS: int = CONVERGED_ITS

    Constant `CONVERGED_ITS` of type `int`

  CONVERGED_TOL: int = CONVERGED_TOL

    Constant `CONVERGED_TOL` of type `int`

  DIVERGED_BREAKDOWN: int = DIVERGED_BREAKDOWN

    Constant `DIVERGED_BREAKDOWN` of type `int`

  DIVERGED_ITS: int = DIVERGED_ITS

    Constant `DIVERGED_ITS` of type `int`

  ITERATING: int = ITERATING

    Constant `ITERATING` of type `int`

  __init__()
  classmethod __new__(*args, **kwargs)